curl --request POST \
--url https://staging.crossmint.com/api/unstable/order-intents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"amount": {
"currency": "USD",
"value": "150.00"
},
"description": "Weekly grocery purchases",
"expiresAt": "2030-12-31T23:59:59Z",
"merchant": {
"countryCode": "US",
"name": "Acme Store",
"url": "https://acme.example.com"
},
"paymentMethodId": "9f1a6b2c-3d4e-4f50-9a61-2b3c4d5e6f70"
}
'{
"amount": {
"available": "<string>",
"currency": "<string>",
"reserved": "<string>",
"spent": "<string>",
"total": "<string>"
},
"description": "<string>",
"expiresAt": "2024-01-15T10:30:00.000Z",
"orderIntentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentMethodId": "<string>",
"rails": [
{
"credentialFormats": [
"card"
],
"error": {
"code": "<string>"
},
"rail": "encrypted-card",
"status": "error"
}
],
"status": "active",
"merchant": {
"countryCode": "<string>",
"name": "<string>",
"url": "<string>",
"acquirerBin": "<string>",
"categoryCode": "<string>"
},
"verificationConfig": {
"allowanceId": "<string>",
"environment": "production",
"publicApiKey": "<string>"
}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}Order Intents
Create Order Intent
Create a new order intent.
API scope required: order-intents.create
POST
/
unstable
/
order-intents
curl --request POST \
--url https://staging.crossmint.com/api/unstable/order-intents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"amount": {
"currency": "USD",
"value": "150.00"
},
"description": "Weekly grocery purchases",
"expiresAt": "2030-12-31T23:59:59Z",
"merchant": {
"countryCode": "US",
"name": "Acme Store",
"url": "https://acme.example.com"
},
"paymentMethodId": "9f1a6b2c-3d4e-4f50-9a61-2b3c4d5e6f70"
}
'{
"amount": {
"available": "<string>",
"currency": "<string>",
"reserved": "<string>",
"spent": "<string>",
"total": "<string>"
},
"description": "<string>",
"expiresAt": "2024-01-15T10:30:00.000Z",
"orderIntentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentMethodId": "<string>",
"rails": [
{
"credentialFormats": [
"card"
],
"error": {
"code": "<string>"
},
"rail": "encrypted-card",
"status": "error"
}
],
"status": "active",
"merchant": {
"countryCode": "<string>",
"name": "<string>",
"url": "<string>",
"acquirerBin": "<string>",
"categoryCode": "<string>"
},
"verificationConfig": {
"allowanceId": "<string>",
"environment": "production",
"publicApiKey": "<string>"
}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}Authorizations
Body
application/json
Response
The order intent has been successfully created
Was this page helpful?

